<div class="wrap">
  <h2><?php echo $this->plugin->displayName; ?> <?php _e( 'Settings', $this->plugin->name ); ?></h2>

  <?php if ( isset( $this->message ) ) : ?>
    <div class="updated fade"><p><?php echo $this->message; ?></p></div>
  <?php endif; ?>

  <?php if ( isset( $this->errorMessage ) ) : ?>
    <div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
  <?php endif; ?>

  <form action="admin.php?page=violet-connect" method="post">
    <table class="form-table" role="presentation">
      <tbody>
        <?php if (!empty($this->settings['violet_merchant_id'])) :?>
        <tr>
          <th scope="row">
            <label for="violet_merchant_id"><strong><?php _e( 'Violet Merchant ID', $this->plugin->name ); ?></strong></label>
          </th>
          <td>
            <span><?php echo $this->settings['violet_merchant_id']; ?></span>
          </td>
        </tr>
        <?php endif; ?>
        <?php if (!empty($this->settings['violet_connection_status'])) :?>
        <tr>
          <th scope="row">
            <label for="violet_connection_status"><strong><?php _e( 'Violet Connection Status', $this->plugin->name ); ?></strong></label>
          </th>
          <td>
            <span><?php echo $this->settings['violet_connection_status']; ?></span>
          </td>
        </tr>
        <?php endif; ?>
        <tr>
          <th scope="row">
            <label for="violet_shipment_module"><strong><?php _e( 'Shipment Extension', $this->plugin->name ); ?></strong></label>
          </th>
          <td>
            <select class="regular-text" type="text" name="violet_shipment_module" id="violet_shipment_module">
              <option value=''>Select One</option>
              <option value='WC_SERVICES' <?php selected( $this->settings['violet_shipment_module'], 'WC_SERVICES' ); ?>>WooCommerce Shipping</option>
              <option value='SHIPSTATION' <?php selected( $this->settings['violet_shipment_module'], 'SHIPSTATION' ); ?>>ShipStation</option>
              <option value='PRINTFUL' <?php selected( $this->settings['violet_shipment_module'], 'PRINTFUL' ); ?>>Printful</option>
            </select>
          </td>
        </tr>
        <?php if (!empty($this->settings['violet_payouts_link'])) :?>
          <tr>
            <th scope="row">
              <label for="violet_payouts_link"><strong><?php _e( 'Payouts Configuration', $this->plugin->name ); ?></strong></label>
            </th>
            <td>
              <a href="<?php echo $this->settings['violet_payouts_link']; ?>" target="_blank"><?php echo $this->settings['violet_payouts_link']; ?></a>
            </td>
          </tr>
        <?php endif; ?>
      </tbody>
    </table>
  <?php wp_nonce_field( $this->plugin->name, $this->plugin->name.'_nonce' ); ?>

    <p class="submit">
      <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes">
    </p>
  </form>
</div>
